API 레퍼런스
가드레일 삭제
가드레일을 소프트 삭제하고 해당 할당을 제거합니다.
가드레일을 소프트 삭제하고 해당 할당을 제거합니다.
엔드포인트
- Base URL
https://runapi.ai- API 버전
v1- 인증
Authorization: Bearer YOUR_MANAGEMENT_API_KEY
02
JSON 본문요청
나열된 요청 위치에만 값을 전송하세요.
경로 매개변수필드 1개
idstring
필수
Guardrail 접두사 ID(예: guardrail_abc123).
03
HTTP 204성공 응답
DELETE /api/v1/guardrails/:id
이 응답에는 본문이 없습니다.
04
HTTP 401오류 응답 (401)
응답 스키마
JSON
{
"properties": {
"error": {
"description": "사람이 읽을 수 있는 오류 메시지.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
응답 예시
JSON
{
"error": "Authentication required"
}
05
HTTP 403오류 응답 (403)
응답 스키마
JSON
{
"properties": {
"error": {
"description": "사람이 읽을 수 있는 오류 메시지.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
응답 예시
JSON
{
"error": "Management API key required"
}
06
HTTP 403오류 응답 (403)
응답 스키마
JSON
{
"properties": {
"error": {
"description": "사람이 읽을 수 있는 오류 메시지.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
응답 예시
JSON
{
"error": "Account admin required"
}
07
HTTP 404오류 응답 (404)
응답 스키마
JSON
{
"properties": {
"error": {
"description": "사람이 읽을 수 있는 오류 메시지.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
응답 예시
JSON
{
"error": "Resource not found"
}
08
cURL 예시
CURL
curl -X DELETE https://runapi.ai/api/v1/guardrails/guardrail_123 \
-H 'Authorization: Bearer YOUR_MANAGEMENT_API_KEY'